Skip to content

Instantly share code, notes, and snippets.

/gist:99057c2c3d459f10b376 Secret
Created Jul 26, 2013

Embed
What would you like to do?
Deploy problem, no matching version
info: Welcome to Nodejitsu xxxxxxxxxxxxxx
info: jitsu v0.12.14, node v0.10.12
info: It worked if it ends with Nodejitsu ok
info: Executing command deploy
info: Analyzing application dependencies in app.js
WARN package.json xxxxxxxxxxxxxxxxxxx@0.0.0-153 No repository field.
WARN package.json xxxxxxxxxxxxxxxxxxx@0.0.0-153 No readme data.
WARN package.json ejs@0.7.1 No repository field.
WARN package.json juice@0.0.7 No repository field.
WARN package.json fresh@0.1.0 No repository field.
WARN package.json cookie-signature@0.0.1 No repository field.
WARN package.json methods@0.0.1 No repository field.
WARN package.json range-parser@0.0.4 No repository field.
WARN package.json send@0.1.0 No repository field.
WARN package.json policyfile@0.0.4 'repositories' (plural) Not supported.
WARN package.json Please pick one as the 'repository' field
warn: Local package version appears to be old
warn: The package.json version will be incremented automatically
warn: About to write /home/xxxxxxxxxxxxxxxxxxx/package.json
warn: Using '*' as a version for dependencies may eventually cause issues
warn: Use specific versions for dependencies to avoid future problems
warn: See: http://package.json.jit.su for more information
data:
data: {
data: dependencies: {
data: nodemailer: '0.3.31',
data: cookie: '0.0.5',
data: redis: '0.8.1',
data: crypto: '0.0.3',
data: express: '3.1.0',
data: socket.io: '0.9.13',
data: email-templates: '0.0.6',
data: rss: '0.0.4',
data: jade: '*',
data: mongodb: '1.1.11',
data: bcrypt: 'latest',
data: publisher: '2.0.0'
data: },
data: domains: [ 'xxxxxxxxxxxxxxxxxxx.com', 'www.xxxxxxxxxxxxxxxxxxx.com' ],
data: engines: { node: '0.10.x' },
data: name: 'xxxxxxxxxxxxxxxxxxx',
data: scripts: { start: 'app.js' },
data: subdomain: 'xxxxxxxxxxxxxxxxxxx',
data: version: '0.0.0-154'
data: }
data:
prompt: Is this ok?: (yes) yes
info: Creating snapshot 0.0.0-154
info Uploading: [=============================] 100%
error: Error running command deploy
error: Nodejitsu Error (500): Internal Server Error
error: No matching versions found
help: For help with this error contact Nodejitsu Support:
help: webchat: <http://webchat.nodejitsu.com/>
help: irc: <irc://chat.freenode.net/#nodejitsu>
help: email: <support@nodejitsu.com>
help:
help: Copy and paste this output to a gist (http://gist.github.com/)
info: Nodejitsu not ok
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.